
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Preferences Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Preferences</h1><h2>Description</h2>
<p>All the preferences values are grouped into services.   The Preferences object is used to get the preferences Services objects.  It can also set the current profile value.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Preferences</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetServices">GetServices</a></li>
<li><a href="#GetService">GetService</a></li>
<li><a href="#GetProfiles">GetProfiles</a></li>
<li><a href="#GetProfile">GetProfile</a></li>
<li><a href="#SetProfile">SetProfile</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#Changed">Changed</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetServices">GetServices</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Return the list of all available services. </p><h4>Returns</h4><i>as: services</i><p>The list of all available services. </p>
<h3><a name="GetService">GetService</a> ( s ) &rarr; o</h3>
<p><i>Description:</i> Retrieve a given service. </p><h4>Parameters</h4><i>s: name</i><p>the name of the service, as returned by `GetServices`. </p><h4>Returns</h4><i>o: service</i><p>the path to the service object </p>
<h3><a name="GetProfiles">GetProfiles</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Return a list of all the available profiles. </p><h4>Returns</h4><i>as: profile</i><p>The list of all the available profiles. </p>
<h3><a name="GetProfile">GetProfile</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Retrieve the current top profile. </p><h4>Returns</h4><i>s: profile</i><p>The name of the current profile. </p>
<h3><a name="SetProfile">SetProfile</a> ( s )</h3>
<p><i>Description:</i> Set the current top profile. </p><h4>Parameters</h4><i>s: profile</i><p>The name of the new current profile. </p>
<h1>Signals</h1><h3><h3><a name="Changed">Changed</a> ( s )</h3><p><i>Description:</i> Sent whenever there is a change of the active profile </p><h4>Parameters</h4><i>s: profile</i><p>The name of the new profile. </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

